---
title: EC_HistoryView - 历史曲线
nav:
  title: 业务组件
  path: /extend-components
group:
  path: /
---

# HistoryView 历史数据查看

基础业务组件

- 曲线模式
  - 数据强制自动抽稀
- 表格模式
  - 默认开启抽稀模式，可选择抽稀

## 何时使用

- 以图表或表格形式，查看历史数据时。

## 单图表

<code src="./demos/index.js">

## 多图表

<code src="./demos/GridDemo.js">

## API

| 参数 | 说明 | 类型 | 默认值 | 可选值 |
| --- | --- | --- | --- | --- |
| grid | 是否为分组模式 | boolean | false | - |
| title | 标题 | string | 指标曲线 | - |
| defaultModel | 默认显示模式 | string | `curve` | `curve`/`table` |
| showModels | 显示模式 | array | `['curve', 'table']` | `curve`/`table` |
| defaultChecked | 默认选中自定义时间 key | string | `oneHour` | `oneHour`/`fourHour`/`twelveHours`/`roundClock`/`yesterday` |
| tableProps | 表格其他 props | object | { } | - |
| deviceParams | 设备参数信息 | array | - | - |

### deviceParams

```javascript
[
  {
    deviceCode: 'EGBF00000146', // 设备编码
    sensors: '进水压力,出水瞬时流量',  // 设备查询指标
    deviceCode: '二供泵房', // 设备类型
  },
  ...
]
```
